Moderator jobs

POST /jobs Moderator

Create a curated job.

Body

url string required
Link to the posting.Example https://acme.com/careers/123
source string
Source label.Example manual
title string required
Job title.Example Senior Go Engineer
company string required
Company name.Example Acme
location string
Free-text location.
remote boolean
Whether the role is remote.
description string
Job description.
posted_at string (RFC3339)
Posting date.
curl
curl -X POST "https://freehire.dev/api/v1/jobs" \
  -H "Authorization: Bearer $MODERATOR_API_KEY" \
  -H 'Content-Type: application/json' \
  -d '{"url":"https://acme.com/careers/123","title":"Senior Go Engineer","company":"Acme"}'
json — response
{ "data": { "public_slug": "senior-go-engineer-acme-1a2b", "title": "Senior Go Engineer", "manually_added": true } }